%global rolesdir %{_sysconfdir}/ansible/roles/gluster.repos
%global docdir %{_datadir}/doc/gluster.repos
%global buildnum 2

Name:      gluster-ansible-repositories
Version:   1.0.1
Release:   2%{?dist}
Summary:   Ansible roles for GlusterFS infrastructure management

URL:       https://github.com/gluster/gluster-ansible-repositories
Source0:   %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}-%{buildnum}.tar.gz
License:   GPLv3
BuildArch: noarch

Requires:  ansible >= 2.6

%description
Collection of Ansible roles for registering to Red Hat subscription manager,
subscribing to repositories, and installing packages.

%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}/%{rolesdir}
cp -dpr defaults meta tasks LICENSE %{buildroot}/%{rolesdir}

mkdir -p %{buildroot}/%{docdir}
cp -dpr README.md examples %{buildroot}/%{docdir}

%files
%{rolesdir}
%doc %{docdir}

%license LICENSE

%changelog
* Thu Nov 14 2019 Prajith Kesava Prasad <pkesavap@redhat.com> 1.0.1-2
- Building gluster-ansible-repo for RHEL8

* Wed May 8 2019 Sachidananda Urs <sac@redhat.com> 1.0.1-1
- Add support to install packages upon registering to channels

* Fri Sep 21 2018 Sachidananda Urs <sac@redhat.com> 1.0
- Initial downstream release

* Fri Aug 31 2018 Sachidananda Urs <sac@redhat.com> 0.1
- Initial release
